[141732] users/devans/GNOME-3/stable/dports/gnome

devans at macports.org devans at macports.org
Sat Dec 12 02:46:30 PST 2015


Revision: 141732
          https://trac.macports.org/changeset/141732
Author:   devans at macports.org
Date:     2015-10-26 21:09:15 -0700 (Mon, 26 Oct 2015)
Log Message:
-----------
GNOME-3/stable: gnome-calculator, new port for testing, a calculator with financial and scientific modes.

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/gnome-calculator/Portfile
    users/devans/GNOME-3/stable/dports/gnome/gnome-calculator/files/autogen.sh

Added Paths:
-----------
    users/devans/GNOME-3/stable/dports/gnome/gnome-calculator/

Modified: users/devans/GNOME-3/stable/dports/gnome/gnome-calculator/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gnome-chess/Portfile	2015-10-27 00:04:53 UTC (rev 141722)
+++ users/devans/GNOME-3/stable/dports/gnome/gnome-calculator/Portfile	2015-10-27 04:09:15 UTC (rev 141732)
@@ -3,35 +3,36 @@
 
 PortSystem          1.0
 
-name                gnome-chess
-version             3.18.0
+name                gnome-calculator
+version             3.18.1
 license             GPL-2+
 set branch          [join [lrange [split ${version} .] 0 1] .]
-description         Play the classic two-player boardgame of chess
-long_description    ${description}
+description         Calculator with financial and scientific modes.
+long_description    Calculator is an application that solves mathematical equations
+                    and is suitable as a default application in a Desktop environment.
 maintainers         devans openmaintainer
 categories          gnome games
 platforms           darwin
-homepage            https://wiki.gnome.org/Apps/Chess
+homepage            https://wiki.gnome.org/Apps/Calculator
 master_sites        gnome:sources/${name}/${branch}/
 
 use_xz              yes
 
-checksums           rmd160  2b30efcf1bcec6eb97d0bf90203b5470688df86c \
-                    sha256  c841198935d807618c3cecbf10ed24643390d504e17961717bac455f4e1b37ad
+checksums           rmd160  ca937b22ff1ef1576c200713415700f331e5e09c \
+                    sha256  1cfae1c2d4e8a39cdc584e2add5022cd5824e6c6539deded60f4b2c4054f9b5c
 
 depends_build       port:pkgconfig \
-                    port:appstream-glib \
-                    port:yelp-tools \
-                    port:itstool \
                     port:intltool \
+                    port:itstool \
                     port:autoconf \
                     port:automake \
                     port:libtool
 
 depends_lib         port:desktop-file-utils \
                     port:gtk3 \
-                    port:librsvg \
+                    port:gtksourceview3 \
+                    port:libxml2 \
+                    port:mpfr \
                     port:vala
 
 depends_run         port:gnome-themes-standard \
@@ -49,14 +50,8 @@
                     --disable-silent-rules
 
 post-activate {
-   system "${prefix}/bin/gtk-update-icon-cache-3.0 -f -t ${prefix}/share/icons/hicolor"
    system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
    system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
 }
 
-notes "
-To play against the computer, install a chess engine such as gnuchess.
-See https://wiki.gnome.org/Apps/Chess/ChessEngines
-"
-
 livecheck.type      gnome

Modified: users/devans/GNOME-3/stable/dports/gnome/gnome-calculator/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gnome-chess/files/autogen.sh	2015-10-27 00:04:53 UTC (rev 141722)
+++ users/devans/GNOME-3/stable/dports/gnome/gnome-calculator/files/autogen.sh	2015-10-27 04:09:15 UTC (rev 141732)
@@ -1,37 +1,32 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
-test -n "$srcdir" || srcdir=`dirname "$0"`
-test -n "$srcdir" || srcdir=.
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
 
-olddir=`pwd`
-
-cd $srcdir
-
-(test -f configure.ac) || {
-        echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+(test -f $srcdir/configure.ac) || {
+        echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
         exit 1
 }
 
-if [ -d $srcdir/.git ] && [ ! -e $srcdir/.git/hooks/pre-commit ]; then
-        ln -s ../../../libgames-support/style-checker $srcdir/.git/hooks/pre-commit && echo "Enabled pre-commit style checker." || :
-fi
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac"`
 
-PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
-
 if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
-        echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
-        echo "*** If you wish to pass any to it, please specify them on the" >&2
-        echo "*** \`$0\' command line." >&2
+        echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+        echo "If you wish to pass any to it, please specify them on the" >&2
+        echo \`$0\'" command line." >&2
         echo "" >&2
 fi
 
+set -x
 aclocal --install || exit 1
 intltoolize --force --copy --automake || exit 1
 autoreconf --verbose --force --install -Wno-portability || exit 1
+{ set +x; } 2>/dev/null
 
-cd $olddir
 if [ "$NOCONFIGURE" = "" ]; then
+        set -x
         $srcdir/configure "$@" || exit 1
+        { set +x; } 2>/dev/null
 
         if [ "$1" = "--help" ]; then exit 0 else
                 echo "Now type \`make\' to compile $PKG_NAME" || exit 1
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20151212/a591ff3d/attachment.html>


More information about the macports-changes mailing list